Bug 1737717 (CVE-2019-12827) - CVE-2019-12827 asterisk: buffer overflow in res_pjsip_messaging allows for a crash and DoS
Summary: CVE-2019-12827 asterisk: buffer overflow in res_pjsip_messaging allows for a ...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2019-12827
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1737718
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-06 06:48 UTC by Marian Rehak
Modified: 2019-08-06 07:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 07:18:49 UTC


Attachments (Terms of Use)

Description Marian Rehak 2019-08-06 06:48:36 UTC
Buffer overflow in res_pjsip_messaging in Digium Asterisk versions 13.21-cert3, 13.27.0, 15.7.2, 16.4.0 and earlier allows remote authenticated users to crash Asterisk by sending a specially crafted SIP MESSAGE message.

Upstream Issue:

https://issues.asterisk.org/jira/browse/ASTERISK-28447

Comment 1 Marian Rehak 2019-08-06 06:48:46 UTC
Created asterisk tracking bugs for this issue:

Affects: fedora-all [bug 1737718]

Comment 2 Product Security DevOps Team 2019-08-06 07:18:49 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.